%global srcname sh

Summary:        Python subprocess replacement
Name:           python-%{srcname}
License:        MIT
Version:        2.0.6
Release:        1%{?dist}
URL:            https://github.com/amoffat/sh
Source0:        %pypi_source
BuildArch:      noarch

%description
sh is a full-fledged subprocess replacement for Python that allows you to call
any program as if it were a function.  sh is not a collection of system
commands implemented in Python.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel


%description -n python3-%{srcname}
sh is a full-fledged subprocess replacement for Python that allows you to call
any program as if it were a function.  sh is not a collection of system
commands implemented in Python.


%prep
%autosetup -n %{srcname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%{python3} sh.py travis


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGELOG.md README.rst


%changelog
* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 2.0.6-1
- Upgrade to version 2.0.6

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.14.3-1
- initial build
